![]() | PointCloud Class |
Initializes a new instance of the PointCloud class.

Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

The PointCloud type exposes the following members.

Name | Description | |
---|---|---|
![]() | PointCloud |
Creates a new point cloud instance using the given parameters.
|

Name | Description | |
---|---|---|
![]() | BoundingBox |
Gets or sets the bounding box.
|
![]() | Guid |
Gets or sets the guid.
|
![]() | LocationBy |
Gets or sets the location by value: Empty for model origin, base point guid for base point.
|
![]() | Name |
Gets or sets the point clouds name. Abbreviated from the point cloud file name. Cannot be given by user.
|
![]() | OffsetX |
Gets or sets the offset X.
|
![]() | OffsetY |
Gets or sets the offset Y.
|
![]() | OffsetZ |
Gets or sets the offset Z.
|
![]() | OriginalPath |
Gets or sets the point clouds path (where it originally located).
|
![]() | RotationZ |
Gets or sets the rotation Z.
|
![]() | Scale |
Gets or sets the scale.
|
![]() | Url |
Gets or sets the point clouds URL without a file name.
|
![]() | UseAutoCreatedBasePoint |
Gets or sets a value indicating whether an auto-created base point should be used.
If set to true, LocationBy value is ignored.
|

Name | Description | |
---|---|---|
![]() | Attach |
Attach this point cloud to model. Can select only Potree type point clouds immediately after attach.
Others need to be selected manually after attach has been completed. Use AttachComplete() to find out, if
attach process has completed.
|
![]() | AttachComplete |
Checks if the point cloud attach is complete. Needed when attaching non-Potree point cloud file, which
needs conversion.
|
![]() | Detach |
Detach this point cloud from model.
|
![]() ![]() | GetPointClouds |
Utility function: Gets available point clouds.
|
![]() | GetVisibleInViews |
Gets the views in which this point cloud is visible.
|
![]() | Select |
Select point cloud by Guid, by Name, by OriginalPath or by Url.
|
![]() | SetVisibility |
Set point cloud visibility in given views.
|
